"{ Package: 'stx:goodies/monticello' }"

MCTestCase subclass:#MCPatchTest
	instanceVariableNames:'patch'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Tests'
!


!MCPatchTest methodsFor:'as yet unclassified'!

setUp
	|rev1 rev2|
	rev1 :=  MCSnapshotResource takeSnapshot.
	self change: #one toReturn: 2.
	rev2 :=  MCSnapshotResource takeSnapshot.
	patch := rev2 patchRelativeToBase: rev1.
	self change: #one toReturn: 1.
!

tearDown
	self restoreMocks
!

testPatchContents
	self assert: patch operations size = 1.
	self assert: patch operations first isModification.
	self assert: patch operations first definition selector = #one.

! !

!MCPatchTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPatchTest.st,v 1.1 2011-08-20 12:17:47 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPatchTest.st,v 1.1 2011-08-20 12:17:47 cg Exp $'
!

version_SVN
    ^ 'Id: MCPatchTest.st 5 2010-08-29 07:30:29Z vranyj1 '
! !
